Module org.firebirdsql.jaybird
Package org.firebirdsql.jaybird.fb.constants

# Class SpbItems

java.lang.Object
org.firebirdsql.jaybird.fb.constants.SpbItems

public final class SpbItems extends Object
Constants for SPB (service parameter buffer) items.

Since:
  5
Author:
  Mark Rotteveel

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`isc_spb_address_path`
`static final int`
`isc_spb_auth_block`
`static final int`
`isc_spb_auth_plugin_list`
`static final int`
`isc_spb_auth_plugin_name`
`static final int`
`isc_spb_client_version`
`static final int`
`isc_spb_command_line`
`static final int`
`isc_spb_config`
`static final int`
`isc_spb_connect_timeout`
`static final int`
`isc_spb_dbname`
`static final int`
`isc_spb_dummy_packet_interval`
`static final int`
`isc_spb_expected_db`
`static final int`
`isc_spb_host_name`
`static final int`
`isc_spb_options`
`static final int`
`isc_spb_os_user`
`static final int`
`isc_spb_password`
`static final int`
`isc_spb_password_enc`
`static final int`
`isc_spb_process_id`
`static final int`
`isc_spb_process_name`
`static final int`
`isc_spb_remote_protocol`
`static final int`
`isc_spb_specific_auth_data`
`static final int`
`isc_spb_sql_role_name`
`static final int`
`isc_spb_sys_user_name`
`static final int`
`isc_spb_sys_user_name_enc`
`static final int`
`isc_spb_trusted_auth`
`static final int`
`isc_spb_trusted_role`
`static final int`
`isc_spb_user_name`
`static final int`
`isc_spb_utf8_filename`
`static final int`
`isc_spb_verbint`
`static final int`
`isc_spb_verbose`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### isc_spb_user_name

public static final int isc_spb_user_name

See Also:
  - Constant Field Values

### isc_spb_sys_user_name

public static final int isc_spb_sys_user_name

See Also:
  - Constant Field Values

### isc_spb_sys_user_name_enc

public static final int isc_spb_sys_user_name_enc

See Also:
  - Constant Field Values

### isc_spb_password

public static final int isc_spb_password

See Also:
  - Constant Field Values

### isc_spb_password_enc

public static final int isc_spb_password_enc

See Also:
  - Constant Field Values

### isc_spb_connect_timeout

public static final int isc_spb_connect_timeout

See Also:
  - Constant Field Values

### isc_spb_dummy_packet_interval

public static final int isc_spb_dummy_packet_interval

See Also:
  - Constant Field Values

### isc_spb_sql_role_name

public static final int isc_spb_sql_role_name

See Also:
  - Constant Field Values

### isc_spb_command_line

public static final int isc_spb_command_line

See Also:
  - Constant Field Values

### isc_spb_dbname

public static final int isc_spb_dbname

See Also:
  - Constant Field Values

### isc_spb_verbose

public static final int isc_spb_verbose

See Also:
  - Constant Field Values

### isc_spb_options

public static final int isc_spb_options

See Also:
  - Constant Field Values

### isc_spb_address_path

public static final int isc_spb_address_path

See Also:
  - Constant Field Values

### isc_spb_process_id

public static final int isc_spb_process_id

See Also:
  - Constant Field Values

### isc_spb_trusted_auth

public static final int isc_spb_trusted_auth

See Also:
  - Constant Field Values

### isc_spb_specific_auth_data

public static final int isc_spb_specific_auth_data

See Also:
  - Constant Field Values

### isc_spb_process_name

public static final int isc_spb_process_name

See Also:
  - Constant Field Values

### isc_spb_trusted_role

public static final int isc_spb_trusted_role

See Also:
  - Constant Field Values

### isc_spb_verbint

public static final int isc_spb_verbint

See Also:
  - Constant Field Values

### isc_spb_auth_block

public static final int isc_spb_auth_block

See Also:
  - Constant Field Values

### isc_spb_auth_plugin_name

public static final int isc_spb_auth_plugin_name

See Also:
  - Constant Field Values

### isc_spb_auth_plugin_list

public static final int isc_spb_auth_plugin_list

See Also:
  - Constant Field Values

### isc_spb_utf8_filename

public static final int isc_spb_utf8_filename

See Also:
  - Constant Field Values

### isc_spb_client_version

public static final int isc_spb_client_version

See Also:
  - Constant Field Values

### isc_spb_remote_protocol

public static final int isc_spb_remote_protocol

See Also:
  - Constant Field Values

### isc_spb_host_name

public static final int isc_spb_host_name

See Also:
  - Constant Field Values

### isc_spb_os_user

public static final int isc_spb_os_user

See Also:
  - Constant Field Values

### isc_spb_config

public static final int isc_spb_config

See Also:
  - Constant Field Values

### isc_spb_expected_db

public static final int isc_spb_expected_db

See Also:
  - Constant Field Values